# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "drft-cli"
version = "0.5.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A structural integrity checker for linked file systems"
homepage = "https://github.com/johnmdonahue/drft-cli"
readme = "README.md"
keywords = [
    "graph",
    "linter",
    "dependency-graph",
    "structural-integrity",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/johnmdonahue/drft-cli"

[lib]
name = "drft"
path = "src/lib.rs"

[[bin]]
name = "drft"
path = "src/main.rs"

[[test]]
name = "check"
path = "tests/check.rs"

[[test]]
name = "config"
path = "tests/config.rs"

[[test]]
name = "custom_rules"
path = "tests/custom_rules.rs"

[[test]]
name = "graph"
path = "tests/graph.rs"

[[test]]
name = "graphs"
path = "tests/graphs.rs"

[[test]]
name = "impact"
path = "tests/impact.rs"

[[test]]
name = "init"
path = "tests/init.rs"

[[test]]
name = "lock"
path = "tests/lock.rs"

[[test]]
name = "output"
path = "tests/output.rs"

[[test]]
name = "parsers"
path = "tests/parsers.rs"

[[test]]
name = "report"
path = "tests/report.rs"

[[test]]
name = "rules"
path = "tests/rules.rs"

[[bench]]
name = "pipeline"
path = "benches/pipeline.rs"
harness = false

[dependencies.anyhow]
version = "1"

[dependencies.blake3]
version = "1"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.globset]
version = "0.4"

[dependencies.ignore]
version = "0.4"

[dependencies.notify]
version = "7"

[dependencies.notify-debouncer-mini]
version = "0.5"

[dependencies.pulldown-cmark]
version = "0.12"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yml]
version = "0.0.12"

[dependencies.thiserror]
version = "2"

[dependencies.toml]
version = "0.8"

[dev-dependencies.criterion]
version = "0.5"
features = ["html_reports"]

[dev-dependencies.tempfile]
version = "3"

[profile.dist]
lto = "thin"
inherits = "release"
